using System.Collections;
using System.Collections.Generic;
using UnityEngine;


namespace Assets.Scripts.StructureControllers
{
    class WallController : StructureController
    {

        private SpriteRenderer selfRenderer;

        // Use this for initialization
        void Awake()
        {
            foreach (var item in spriteStateMap)
            {
                spriteStateMapDictionary.Add(item.Key, item.sprite);
            }

            selfRenderer = GetComponent<SpriteRenderer>();
            selfRenderer.sprite = spriteStateMap[0].sprite;
            
        }

        public override bool PlayerAction(Necromancer player)
        {
            return false;
        }


    }
}
